class ExchangeRates(object):
    def __init__(self, IP) -> None:
        super().__init__()
        
        self.IP = IP
        self.COUNTRIES = [
            {"countryName": "Afghanistan","ISO": "AF","ISO3": "AFG","countryCode": "93","currency": "AFN","currencyName": "Afghani"},
            {"countryName": "Albania","ISO": "AL","ISO3": "ALB","countryCode": "355","currency": "ALL","currencyName": "Lek"},
            {"countryName": "Algeria","ISO": "DZ","ISO3": "DZA","countryCode": "213","currency": "DZD","currencyName": "Algerian Dinar"},
            {"countryName": "American Samoa","ISO": "AS","ISO3": "ASM","countryCode": "1-684","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Andorra","ISO": "AD","ISO3": "AND","countryCode": "376","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Angola","ISO": "AO","ISO3": "AGO","countryCode": "244","currency": "AOA","currencyName": "Kwanza"},
            {"countryName": "Anguilla","ISO": "AI","ISO3": "AIA","countryCode": "1-264","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Antarctica","ISO": "AQ","ISO3": "ATA","countryCode": "672","currency": None,"currencyName": None},
            {"countryName": "Antigua and Barbuda","ISO": "AG","ISO3": "ATG","countryCode": "1-268","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Argentina","ISO": "AR","ISO3": "ARG","countryCode": "54","currency": "ARS","currencyName": "Argentine Peso"},
            {"countryName": "Armenia","ISO": "AM","ISO3": "ARM","countryCode": "374","currency": "AMD","currencyName": "Armenian Dram"},
            {"countryName": "Aruba","ISO": "AW","ISO3": "ABW","countryCode": "297","currency": "AWG","currencyName": "Aruban Florin"},
            {"countryName": "Australia","ISO": "AU","ISO3": "AUS","countryCode": "61","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Austria","ISO": "AT","ISO3": "AUT","countryCode": "43","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Azerbaijan","ISO": "AZ","ISO3": "AZE","countryCode": "994","currency": "AZN","currencyName": "Azerbaijanian Manat"},
            {"countryName": "Bahamas","ISO": "BS","ISO3": "BHS","countryCode": "1-242","currency": "BSD","currencyName": "Bahamian Dollar"},
            {"countryName": "Bahrain","ISO": "BH","ISO3": "BHR","countryCode": "973","currency": "BHD","currencyName": "Bahraini Dinar"},
            {"countryName": "Bangladesh","ISO": "BD","ISO3": "BGD","countryCode": "880","currency": "BDT","currencyName": "Taka"},
            {"countryName": "Barbados","ISO": "BB","ISO3": "BRB","countryCode": "1-246","currency": "BBD","currencyName": "Barbados Dollar"},
            {"countryName": "Belarus","ISO": "BY","ISO3": "BLR","countryCode": "375","currency": "BYR","currencyName": "Belarussian Ruble"},
            {"countryName": "Belgium","ISO": "BE","ISO3": "BEL","countryCode": "32","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Belize","ISO": "BZ","ISO3": "BLZ","countryCode": "501","currency": "BZD","currencyName": "Belize Dollar"},
            {"countryName": "Benin","ISO": "BJ","ISO3": "BEN","countryCode": "229","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Bermuda","ISO": "BM","ISO3": "BMU","countryCode": "1-441","currency": "BMD","currencyName": "Bermudian Dollar"},
            {"countryName": "Bhutan","ISO": "BT","ISO3": "BTN","countryCode": "975","currency": "INR","currencyName": "Indian Rupee"},
            {"countryName": "Bolivia, Plurinational State of","ISO": "BO","ISO3": "BOL","countryCode": "591","currency": "BOB","currencyName": "Boliviano"},
            {"countryName": "Bonaire, Sint Eustatius and Saba","ISO": "BQ","ISO3": "BES","countryCode": "599","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Bosnia and Herzegovina","ISO": "BA","ISO3": "BIH","countryCode": "387","currency": "BAM","currencyName": "Convertible Mark"},
            {"countryName": "Botswana","ISO": "BW","ISO3": "BWA","countryCode": "267","currency": "BWP","currencyName": "Pula"},
            {"countryName": "Bouvet Island","ISO": "BV","ISO3": "BVT","countryCode": "47","currency": "NOK","currencyName": "Norwegian Krone"},
            {"countryName": "Brazil","ISO": "BR","ISO3": "BRA","countryCode": "55","currency": "BRL","currencyName": "Brazilian Real"},
            {"countryName": "British Indian Ocean Territory","ISO": "IO","ISO3": "IOT","countryCode": "246","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Brunei Darussalam","ISO": "BN","ISO3": "BRN","countryCode": "673","currency": "BND","currencyName": "Brunei Dollar"},
            {"countryName": "Bulgaria","ISO": "BG","ISO3": "BGR","countryCode": "359","currency": "BGN","currencyName": "Bulgarian Lev"},
            {"countryName": "Burkina Faso","ISO": "BF","ISO3": "BFA","countryCode": "226","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Burundi","ISO": "BI","ISO3": "BDI","countryCode": "257","currency": "BIF","currencyName": "Burundi Franc"},
            {"countryName": "Cambodia","ISO": "KH","ISO3": "KHM","countryCode": "855","currency": "KHR","currencyName": "Riel"},
            {"countryName": "Cameroon","ISO": "CM","ISO3": "CMR","countryCode": "237","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Canada","ISO": "CA","ISO3": "CAN","countryCode": "1","currency": "CAD","currencyName": "Canadian Dollar"},
            {"countryName": "Cape Verde","ISO": "CV","ISO3": "CPV","countryCode": "238","currency": "CVE","currencyName": "Cabo Verde Escudo"},
            {"countryName": "Cayman Islands","ISO": "KY","ISO3": "CYM","countryCode": "1-345","currency": "KYD","currencyName": "Cayman Islands Dollar"},
            {"countryName": "Central African Republic","ISO": "CF","ISO3": "CAF","countryCode": "236","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Chad","ISO": "TD","ISO3": "TCD","countryCode": "235","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Chile","ISO": "CL","ISO3": "CHL","countryCode": "56","currency": "CLP","currencyName": "Chilean Peso"},
            {"countryName": "China","ISO": "CN","ISO3": "CHN","countryCode": "86","currency": "CNY","currencyName": "Yuan Renminbi"},
            {"countryName": "Christmas Island","ISO": "CX","ISO3": "CXR","countryCode": "61","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Cocos (Keeling) Islands","ISO": "CC","ISO3": "CCK","countryCode": "61","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Colombia","ISO": "CO","ISO3": "COL","countryCode": "57","currency": "COP","currencyName": "Colombian Peso"},
            {"countryName": "Comoros","ISO": "KM","ISO3": "COM","countryCode": "269","currency": "KMF","currencyName": "Comoro Franc"},
            {"countryName": "Congo","ISO": "CG","ISO3": "COG","countryCode": "242","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Congo, the Democratic Republic of the","ISO": "CD","ISO3": "COD","countryCode": "243","currency": None,"currencyName": None},
            {"countryName": "Cook Islands","ISO": "CK","ISO3": "COK","countryCode": "682","currency": "NZD","currencyName": "New Zealand Dollar"},
            {"countryName": "Costa Rica","ISO": "CR","ISO3": "CRI","countryCode": "506","currency": "CRC","currencyName": "Costa Rican Colon"},
            {"countryName": "Croatia","ISO": "HR","ISO3": "HRV","countryCode": "385","currency": "HRK","currencyName": "Croatian Kuna"},
            {"countryName": "Cuba","ISO": "CU","ISO3": "CUB","countryCode": "53","currency": "CUP","currencyName": "Cuban Peso"},
            {"countryName": "Cura\u00e7ao","ISO": "CW","ISO3": "CUW","countryCode": "599","currency": "ANG","currencyName": "Netherlands Antillean Guilder"},
            {"countryName": "Cyprus","ISO": "CY","ISO3": "CYP","countryCode": "357","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Czech Republic","ISO": "CZ","ISO3": "CZE","countryCode": "420","currency": "CZK","currencyName": "Czech Koruna"},
            {"countryName": "C\u00f4te d'Ivoire","ISO": "CI","ISO3": "CIV","countryCode": "225","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Denmark","ISO": "DK","ISO3": "DNK","countryCode": "45","currency": "DKK","currencyName": "Danish Krone"},
            {"countryName": "Djibouti","ISO": "DJ","ISO3": "DJI","countryCode": "253","currency": "DJF","currencyName": "Djibouti Franc"},
            {"countryName": "Dominica","ISO": "DM","ISO3": "DMA","countryCode": "1-767","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Dominican Republic","ISO": "DO","ISO3": "DOM","countryCode": "1-809","currency": "DOP","currencyName": "Dominican Peso"},
            {"countryName": "Ecuador","ISO": "EC","ISO3": "ECU","countryCode": "593","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Egypt","ISO": "EG","ISO3": "EGY","countryCode": "20","currency": "EGP","currencyName": "Egyptian Pound"},
            {"countryName": "El Salvador","ISO": "SV","ISO3": "SLV","countryCode": "503","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Equatorial Guinea","ISO": "GQ","ISO3": "GNQ","countryCode": "240","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Eritrea","ISO": "ER","ISO3": "ERI","countryCode": "291","currency": "ERN","currencyName": "Nakfa"},
            {"countryName": "Estonia","ISO": "EE","ISO3": "EST","countryCode": "372","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Ethiopia","ISO": "ET","ISO3": "ETH","countryCode": "251","currency": "ETB","currencyName": "Ethiopian Birr"},
            {"countryName": "Falkland Islands (Malvinas)","ISO": "FK","ISO3": "FLK","countryCode": "500","currency": "FKP","currencyName": "Falkland Islands Pound"},
            {"countryName": "Faroe Islands","ISO": "FO","ISO3": "FRO","countryCode": "298","currency": "DKK","currencyName": "Danish Krone"},
            {"countryName": "Fiji","ISO": "FJ","ISO3": "FJI","countryCode": "679","currency": "FJD","currencyName": "Fiji Dollar"},
            {"countryName": "Finland","ISO": "FI","ISO3": "FIN","countryCode": "358","currency": "EUR","currencyName": "Euro"},
            {"countryName": "France","ISO": "FR","ISO3": "FRA","countryCode": "33","currency": "EUR","currencyName": "Euro"},
            {"countryName": "French Guiana","ISO": "GF","ISO3": "GUF","countryCode": "594","currency": "EUR","currencyName": "Euro"},
            {"countryName": "French Polynesia","ISO": "PF","ISO3": "PYF","countryCode": "689","currency": "XPF","currencyName": "CFP Franc"},
            {"countryName": "French Southern Territories","ISO": "TF","ISO3": "ATF","countryCode": "262","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Gabon","ISO": "GA","ISO3": "GAB","countryCode": "241","currency": "XAF","currencyName": "CFA Franc BEAC"},
            {"countryName": "Gambia","ISO": "GM","ISO3": "GMB","countryCode": "220","currency": "GMD","currencyName": "Dalasi"},
            {"countryName": "Georgia","ISO": "GE","ISO3": "GEO","countryCode": "995","currency": "GEL","currencyName": "Lari"},
            {"countryName": "Germany","ISO": "DE","ISO3": "DEU","countryCode": "49","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Ghana","ISO": "GH","ISO3": "GHA","countryCode": "233","currency": "GHS","currencyName": "Ghana Cedi"},
            {"countryName": "Gibraltar","ISO": "GI","ISO3": "GIB","countryCode": "350","currency": "GIP","currencyName": "Gibraltar Pound"},
            {"countryName": "Greece","ISO": "GR","ISO3": "GRC","countryCode": "30","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Greenland","ISO": "GL","ISO3": "GRL","countryCode": "299","currency": "DKK","currencyName": "Danish Krone"},
            {"countryName": "Grenada","ISO": "GD","ISO3": "GRD","countryCode": "1-473","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Guadeloupe","ISO": "GP","ISO3": "GLP","countryCode": "590","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Guam","ISO": "GU","ISO3": "GUM","countryCode": "1-671","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Guatemala","ISO": "GT","ISO3": "GTM","countryCode": "502","currency": "GTQ","currencyName": "Quetzal"},
            {"countryName": "Guernsey","ISO": "GG","ISO3": "GGY","countryCode": "44","currency": "GBP","currencyName": "Pound Sterling"},
            {"countryName": "Guinea","ISO": "GN","ISO3": "GIN","countryCode": "224","currency": "GNF","currencyName": "Guinea Franc"},
            {"countryName": "Guinea-Bissau","ISO": "GW","ISO3": "GNB","countryCode": "245","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Guyana","ISO": "GY","ISO3": "GUY","countryCode": "592","currency": "GYD","currencyName": "Guyana Dollar"},
            {"countryName": "Haiti","ISO": "HT","ISO3": "HTI","countryCode": "509","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Heard Island and McDonald Islands","ISO": "HM","ISO3": "HMD","countryCode": "672","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Holy See (Vatican City State)","ISO": "VA","ISO3": "VAT","countryCode": "39-06","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Honduras","ISO": "HN","ISO3": "HND","countryCode": "504","currency": "HNL","currencyName": "Lempira"},
            {"countryName": "Hong Kong","ISO": "HK","ISO3": "HKG","countryCode": "852","currency": "HKD","currencyName": "Hong Kong Dollar"},
            {"countryName": "Hungary","ISO": "HU","ISO3": "HUN","countryCode": "36","currency": "HUF","currencyName": "Forint"},
            {"countryName": "Iceland","ISO": "IS","ISO3": "ISL","countryCode": "354","currency": "ISK","currencyName": "Iceland Krona"},
            {"countryName": "India","ISO": "IN","ISO3": "IND","countryCode": "91","currency": "INR","currencyName": "Indian Rupee"},
            {"countryName": "Indonesia","ISO": "ID","ISO3": "IDN","countryCode": "62","currency": "IDR","currencyName": "Rupiah"},
            {"countryName": "Iran, Islamic Republic of","ISO": "IR","ISO3": "IRN","countryCode": "98","currency": "IRR","currencyName": "Iranian Rial"},
            {"countryName": "Iraq","ISO": "IQ","ISO3": "IRQ","countryCode": "964","currency": "IQD","currencyName": "Iraqi Dinar"},
            {"countryName": "Ireland","ISO": "IE","ISO3": "IRL","countryCode": "353","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Isle of Man","ISO": "IM","ISO3": "IMN","countryCode": "44","currency": "GBP","currencyName": "Pound Sterling"},
            {"countryName": "Israel","ISO": "IL","ISO3": "ISR","countryCode": "972","currency": "ILS","currencyName": "New Israeli Sheqel"},
            {"countryName": "Italy","ISO": "IT","ISO3": "ITA","countryCode": "39","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Jamaica","ISO": "JM","ISO3": "JAM","countryCode": "1-876","currency": "JMD","currencyName": "Jamaican Dollar"},
            {"countryName": "Japan","ISO": "JP","ISO3": "JPN","countryCode": "81","currency": "JPY","currencyName": "Yen"},
            {"countryName": "Jersey","ISO": "JE","ISO3": "JEY","countryCode": "44","currency": "GBP","currencyName": "Pound Sterling"},
            {"countryName": "Jordan","ISO": "JO","ISO3": "JOR","countryCode": "962","currency": "JOD","currencyName": "Jordanian Dinar"},
            {"countryName": "Kazakhstan","ISO": "KZ","ISO3": "KAZ","countryCode": "7","currency": "KZT","currencyName": "Tenge"},
            {"countryName": "Kenya","ISO": "KE","ISO3": "KEN","countryCode": "254","currency": "KES","currencyName": "Kenyan Shilling"},
            {"countryName": "Kiribati","ISO": "KI","ISO3": "KIR","countryCode": "686","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Korea, Democratic People's Republic of","ISO": "KP","ISO3": "PRK","countryCode": "850","currency": "KPW","currencyName": "North Korean Won"},
            {"countryName": "Korea, Republic of","ISO": "KR","ISO3": "KOR","countryCode": "82","currency": "KRW","currencyName": "Won"},
            {"countryName": "Kuwait","ISO": "KW","ISO3": "KWT","countryCode": "965","currency": "KWD","currencyName": "Kuwaiti Dinar"},
            {"countryName": "Kyrgyzstan","ISO": "KG","ISO3": "KGZ","countryCode": "996","currency": "KGS","currencyName": "Som"},
            {"countryName": "Lao People's Democratic Republic","ISO": "LA","ISO3": "LAO","countryCode": "856","currency": "LAK","currencyName": "Kip"},
            {"countryName": "Latvia","ISO": "LV","ISO3": "LVA","countryCode": "371","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Lebanon","ISO": "LB","ISO3": "LBN","countryCode": "961","currency": "LBP","currencyName": "Lebanese Pound"},
            {"countryName": "Lesotho","ISO": "LS","ISO3": "LSO","countryCode": "266","currency": "ZAR","currencyName": "Rand"},
            {"countryName": "Liberia","ISO": "LR","ISO3": "LBR","countryCode": "231","currency": "LRD","currencyName": "Liberian Dollar"},
            {"countryName": "Libya","ISO": "LY","ISO3": "LBY","countryCode": "218","currency": "LYD","currencyName": "Libyan Dinar"},
            {"countryName": "Liechtenstein","ISO": "LI","ISO3": "LIE","countryCode": "423","currency": "CHF","currencyName": "Swiss Franc"},
            {"countryName": "Lithuania","ISO": "LT","ISO3": "LTU","countryCode": "370","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Luxembourg","ISO": "LU","ISO3": "LUX","countryCode": "352","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Macao","ISO": "MO","ISO3": "MAC","countryCode": "853","currency": "MOP","currencyName": "Pataca"},
            {"countryName": "Macedonia, the Former Yugoslav Republic of","ISO": "MK","ISO3": "MKD","countryCode": "389","currency": "MKD","currencyName": "Denar"},
            {"countryName": "Madagascar","ISO": "MG","ISO3": "MDG","countryCode": "261","currency": "MGA","currencyName": "Malagasy Ariary"},
            {"countryName": "Malawi","ISO": "MW","ISO3": "MWI","countryCode": "265","currency": "MWK","currencyName": "Kwacha"},
            {"countryName": "Malaysia","ISO": "MY","ISO3": "MYS","countryCode": "60","currency": "MYR","currencyName": "Malaysian Ringgit"},
            {"countryName": "Maldives","ISO": "MV","ISO3": "MDV","countryCode": "960","currency": "MVR","currencyName": "Rufiyaa"},
            {"countryName": "Mali","ISO": "ML","ISO3": "MLI","countryCode": "223","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Malta","ISO": "MT","ISO3": "MLT","countryCode": "356","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Marshall Islands","ISO": "MH","ISO3": "MHL","countryCode": "692","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Martinique","ISO": "MQ","ISO3": "MTQ","countryCode": "596","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Mauritania","ISO": "MR","ISO3": "MRT","countryCode": "222","currency": "MRO","currencyName": "Ouguiya"},
            {"countryName": "Mauritius","ISO": "MU","ISO3": "MUS","countryCode": "230","currency": "MUR","currencyName": "Mauritius Rupee"},
            {"countryName": "Mayotte","ISO": "YT","ISO3": "MYT","countryCode": "262","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Mexico","ISO": "MX","ISO3": "MEX","countryCode": "52","currency": "MXN","currencyName": "Mexican Peso"},
            {"countryName": "Micronesia, Federated States of","ISO": "FM","ISO3": "FSM","countryCode": "691","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Moldova, Republic of","ISO": "MD","ISO3": "MDA","countryCode": "373","currency": "MDL","currencyName": "Moldovan Leu"},
            {"countryName": "Monaco","ISO": "MC","ISO3": "MCO","countryCode": "377","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Mongolia","ISO": "MN","ISO3": "MNG","countryCode": "976","currency": "MNT","currencyName": "Tugrik"},
            {"countryName": "Montenegro","ISO": "ME","ISO3": "MNE","countryCode": "382","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Montserrat","ISO": "MS","ISO3": "MSR","countryCode": "1-664","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Morocco","ISO": "MA","ISO3": "MAR","countryCode": "212","currency": "MAD","currencyName": "Moroccan Dirham"},
            {"countryName": "Mozambique","ISO": "MZ","ISO3": "MOZ","countryCode": "258","currency": "MZN","currencyName": "Mozambique Metical"},
            {"countryName": "Myanmar","ISO": "MM","ISO3": "MMR","countryCode": "95","currency": "MMK","currencyName": "Kyat"},
            {"countryName": "Namibia","ISO": "NA","ISO3": "NAM","countryCode": "264","currency": "ZAR","currencyName": "Rand"},
            {"countryName": "Nauru","ISO": "NR","ISO3": "NRU","countryCode": "674","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Nepal","ISO": "NP","ISO3": "NPL","countryCode": "977","currency": "NPR","currencyName": "Nepalese Rupee"},
            {"countryName": "Netherlands","ISO": "NL","ISO3": "NLD","countryCode": "31","currency": "EUR","currencyName": "Euro"},
            {"countryName": "New Caledonia","ISO": "NC","ISO3": "NCL","countryCode": "687","currency": "XPF","currencyName": "CFP Franc"},
            {"countryName": "New Zealand","ISO": "NZ","ISO3": "NZL","countryCode": "64","currency": "NZD","currencyName": "New Zealand Dollar"},
            {"countryName": "Nicaragua","ISO": "NI","ISO3": "NIC","countryCode": "505","currency": "NIO","currencyName": "Cordoba Oro"},
            {"countryName": "Niger","ISO": "NE","ISO3": "NER","countryCode": "227","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Nigeria","ISO": "NG","ISO3": "NGA","countryCode": "234","currency": "NGN","currencyName": "Naira"},
            {"countryName": "Niue","ISO": "NU","ISO3": "NIU","countryCode": "683","currency": "NZD","currencyName": "New Zealand Dollar"},
            {"countryName": "Norfolk Island","ISO": "NF","ISO3": "NFK","countryCode": "672","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Northern Mariana Islands","ISO": "MP","ISO3": "MNP","countryCode": "1-670","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Norway","ISO": "NO","ISO3": "NOR","countryCode": "47","currency": "NOK","currencyName": "Norwegian Krone"},
            {"countryName": "Oman","ISO": "OM","ISO3": "OMN","countryCode": "968","currency": "OMR","currencyName": "Rial Omani"},
            {"countryName": "Pakistan","ISO": "PK","ISO3": "PAK","countryCode": "92","currency": "PKR","currencyName": "Pakistan Rupee"},
            {"countryName": "Palau","ISO": "PW","ISO3": "PLW","countryCode": "680","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Palestine, State of","ISO": "PS","ISO3": "PSE","countryCode": "970","currency": None,"currencyName": None},
            {"countryName": "Panama","ISO": "PA","ISO3": "PAN","countryCode": "507","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Papua New Guinea","ISO": "PG","ISO3": "PNG","countryCode": "675","currency": "PGK","currencyName": "Kina"},
            {"countryName": "Paraguay","ISO": "PY","ISO3": "PRY","countryCode": "595","currency": "PYG","currencyName": "Guarani"},
            {"countryName": "Peru","ISO": "PE","ISO3": "PER","countryCode": "51","currency": "PEN","currencyName": "Nuevo Sol"},
            {"countryName": "Philippines","ISO": "PH","ISO3": "PHL","countryCode": "63","currency": "PHP","currencyName": "Philippine Peso"},
            {"countryName": "Pitcairn","ISO": "PN","ISO3": "PCN","countryCode": "870","currency": "NZD","currencyName": "New Zealand Dollar"},
            {"countryName": "Poland","ISO": "PL","ISO3": "POL","countryCode": "48","currency": "PLN","currencyName": "Zloty"},
            {"countryName": "Portugal","ISO": "PT","ISO3": "PRT","countryCode": "351","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Puerto Rico","ISO": "PR","ISO3": "PRI","countryCode": "1","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Qatar","ISO": "QA","ISO3": "QAT","countryCode": "974","currency": "QAR","currencyName": "Qatari Rial"},
            {"countryName": "Romania","ISO": "RO","ISO3": "ROU","countryCode": "40","currency": "RON","currencyName": "New Romanian Leu"},
            {"countryName": "Russian Federation","ISO": "RU","ISO3": "RUS","countryCode": "7","currency": "RUB","currencyName": "Russian Ruble"},
            {"countryName": "Rwanda","ISO": "RW","ISO3": "RWA","countryCode": "250","currency": "RWF","currencyName": "Rwanda Franc"},
            {"countryName": "R\u00e9union","ISO": "RE","ISO3": "REU","countryCode": "262","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Saint Barth\u00e9lemy","ISO": "BL","ISO3": "BLM","countryCode": "590","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Saint Helena, Ascension and Tristan da Cunha","ISO": "SH","ISO3": "SHN","countryCode": "290","currency": "SHP","currencyName": "Saint Helena Pound"},
            {"countryName": "Saint Kitts and Nevis","ISO": "KN","ISO3": "KNA","countryCode": "1-869","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Saint Lucia","ISO": "LC","ISO3": "LCA","countryCode": "1-758","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Saint Martin (French part)","ISO": "MF","ISO3": "MAF","countryCode": "590","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Saint Pierre and Miquelon","ISO": "PM","ISO3": "SPM","countryCode": "508","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Saint Vincent and the Grenadines","ISO": "VC","ISO3": "VCT","countryCode": "1-784","currency": "XCD","currencyName": "East Caribbean Dollar"},
            {"countryName": "Samoa","ISO": "WS","ISO3": "WSM","countryCode": "685","currency": "WST","currencyName": "Tala"},
            {"countryName": "San Marino","ISO": "SM","ISO3": "SMR","countryCode": "378","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Sao Tome and Principe","ISO": "ST","ISO3": "STP","countryCode": "239","currency": "STD","currencyName": "Dobra"},
            {"countryName": "Saudi Arabia","ISO": "SA","ISO3": "SAU","countryCode": "966","currency": "SAR","currencyName": "Saudi Riyal"},
            {"countryName": "Senegal","ISO": "SN","ISO3": "SEN","countryCode": "221","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Serbia","ISO": "RS","ISO3": "SRB","countryCode": "381","currency": "RSD","currencyName": "Serbian Dinar"},
            {"countryName": "Seychelles","ISO": "SC","ISO3": "SYC","countryCode": "248","currency": "SCR","currencyName": "Seychelles Rupee"},
            {"countryName": "Sierra Leone","ISO": "SL","ISO3": "SLE","countryCode": "232","currency": "SLL","currencyName": "Leone"},
            {"countryName": "Singapore","ISO": "SG","ISO3": "SGP","countryCode": "65","currency": "SGD","currencyName": "Singapore Dollar"},
            {"countryName": "Sint Maarten (Dutch part)","ISO": "SX","ISO3": "SXM","countryCode": "1-721","currency": "ANG","currencyName": "Netherlands Antillean Guilder"},
            {"countryName": "Slovakia","ISO": "SK","ISO3": "SVK","countryCode": "421","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Slovenia","ISO": "SI","ISO3": "SVN","countryCode": "386","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Solomon Islands","ISO": "SB","ISO3": "SLB","countryCode": "677","currency": "SBD","currencyName": "Solomon Islands Dollar"},
            {"countryName": "Somalia","ISO": "SO","ISO3": "SOM","countryCode": "252","currency": "SOS","currencyName": "Somali Shilling"},
            {"countryName": "South Africa","ISO": "ZA","ISO3": "ZAF","countryCode": "27","currency": "ZAR","currencyName": "Rand"},
            {"countryName": "South Georgia and the South Sandwich Islands","ISO": "GS","ISO3": "SGS","countryCode": "500","currency": None,"currencyName": None},
            {"countryName": "South Sudan","ISO": "SS","ISO3": "SSD","countryCode": "211","currency": "SSP","currencyName": "South Sudanese Pound"},
            {"countryName": "Spain","ISO": "ES","ISO3": "ESP","countryCode": "34","currency": "EUR","currencyName": "Euro"},
            {"countryName": "Sri Lanka","ISO": "LK","ISO3": "LKA","countryCode": "94","currency": "LKR","currencyName": "Sri Lanka Rupee"},
            {"countryName": "Sudan","ISO": "SD","ISO3": "SDN","countryCode": "249","currency": "SDG","currencyName": "Sudanese Pound"},
            {"countryName": "Suriname","ISO": "SR","ISO3": "SUR","countryCode": "597","currency": "SRD","currencyName": "Surinam Dollar"},
            {"countryName": "Svalbard and Jan Mayen","ISO": "SJ","ISO3": "SJM","countryCode": "47","currency": "NOK","currencyName": "Norwegian Krone"},
            {"countryName": "Swaziland","ISO": "SZ","ISO3": "SWZ","countryCode": "268","currency": "SZL","currencyName": "Lilangeni"},
            {"countryName": "Sweden","ISO": "SE","ISO3": "SWE","countryCode": "46","currency": "SEK","currencyName": "Swedish Krona"},
            {"countryName": "Switzerland","ISO": "CH","ISO3": "CHE","countryCode": "41","currency": "CHF","currencyName": "Swiss Franc"},
            {"countryName": "Syrian Arab Republic","ISO": "SY","ISO3": "SYR","countryCode": "963","currency": "SYP","currencyName": "Syrian Pound"},
            {"countryName": "Taiwan, Province of China","ISO": "TW","ISO3": "TWN","countryCode": "886","currency": "TWD","currencyName": "New Taiwan Dollar"},
            {"countryName": "Tajikistan","ISO": "TJ","ISO3": "TJK","countryCode": "992","currency": "TJS","currencyName": "Somoni"},
            {"countryName": "Tanzania, United Republic of","ISO": "TZ","ISO3": "TZA","countryCode": "255","currency": "TZS","currencyName": "Tanzanian Shilling"},
            {"countryName": "Thailand","ISO": "TH","ISO3": "THA","countryCode": "66","currency": "THB","currencyName": "Baht"},
            {"countryName": "Timor-Leste","ISO": "TL","ISO3": "TLS","countryCode": "670","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Togo","ISO": "TG","ISO3": "TGO","countryCode": "228","currency": "XOF","currencyName": "CFA Franc BCEAO"},
            {"countryName": "Tokelau","ISO": "TK","ISO3": "TKL","countryCode": "690","currency": "NZD","currencyName": "New Zealand Dollar"},
            {"countryName": "Tonga","ISO": "TO","ISO3": "TON","countryCode": "676","currency": "TOP","currencyName": "Pa\u2019anga"},
            {"countryName": "Trinidad and Tobago","ISO": "TT","ISO3": "TTO","countryCode": "1-868","currency": "TTD","currencyName": "Trinidad and Tobago Dollar"},
            {"countryName": "Tunisia","ISO": "TN","ISO3": "TUN","countryCode": "216","currency": "TND","currencyName": "Tunisian Dinar"},
            {"countryName": "Turkey","ISO": "TR","ISO3": "TUR","countryCode": "90","currency": "TRY","currencyName": "Turkish Lira"},
            {"countryName": "Turkmenistan","ISO": "TM","ISO3": "TKM","countryCode": "993","currency": "TMT","currencyName": "Turkmenistan New Manat"},
            {"countryName": "Turks and Caicos Islands","ISO": "TC","ISO3": "TCA","countryCode": "1-649","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Tuvalu","ISO": "TV","ISO3": "TUV","countryCode": "688","currency": "AUD","currencyName": "Australian Dollar"},
            {"countryName": "Uganda","ISO": "UG","ISO3": "UGA","countryCode": "256","currency": "UGX","currencyName": "Uganda Shilling"},
            {"countryName": "Ukraine","ISO": "UA","ISO3": "UKR","countryCode": "380","currency": "UAH","currencyName": "Hryvnia"},
            {"countryName": "United Arab Emirates","ISO": "AE","ISO3": "ARE","countryCode": "971","currency": "AED","currencyName": "UAE Dirham"},
            {"countryName": "United Kingdom","ISO": "GB","ISO3": "GBR","countryCode": "44","currency": "GBP","currencyName": "Pound Sterling"},
            {"countryName": "United States","ISO": "US","ISO3": "USA","countryCode": "1","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "United States Minor Outlying Islands","ISO": "UM","ISO3": "UMI","countryCode": "1","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Uruguay","ISO": "UY","ISO3": "URY","countryCode": "598","currency": "UYU","currencyName": "Peso Uruguayo"},
            {"countryName": "Uzbekistan","ISO": "UZ","ISO3": "UZB","countryCode": "998","currency": "UZS","currencyName": "Uzbekistan Sum"},
            {"countryName": "Vanuatu","ISO": "VU","ISO3": "VUT","countryCode": "678","currency": "VUV","currencyName": "Vatu"},
            {"countryName": "Venezuela, Bolivarian Republic of","ISO": "VE","ISO3": "VEN","countryCode": "58","currency": "VEF","currencyName": "Bolivar"},
            {"countryName": "Viet Nam","ISO": "VN","ISO3": "VNM","countryCode": "84","currency": "VND","currencyName": "Dong"},
            {"countryName": "Virgin Islands, British","ISO": "VG","ISO3": "VGB","countryCode": "1-284","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Virgin Islands, U.S.","ISO": "VI","ISO3": "VIR","countryCode": "1-340","currency": "USD","currencyName": "US Dollar"},
            {"countryName": "Wallis and Futuna","ISO": "WF","ISO3": "WLF","countryCode": "681","currency": "XPF","currencyName": "CFP Franc"},
            {"countryName": "Western Sahara","ISO": "EH","ISO3": "ESH","countryCode": "212","currency": "MAD","currencyName": "Moroccan Dirham"},
            {"countryName": "Yemen","ISO": "YE","ISO3": "YEM","countryCode": "967","currency": "YER","currencyName": "Yemeni Rial"},
            {"countryName": "Zambia","ISO": "ZM","ISO3": "ZMB","countryCode": "260","currency": "ZMW","currencyName": "Zambian Kwacha"},
            {"countryName": "Zimbabwe","ISO": "ZW","ISO3": "ZWE","countryCode": "263","currency": "ZWL","currencyName": "Zimbabwe Dollar"},
            {"countryName": "\u00c5land Islands","ISO": "AX","ISO3": "ALA","countryCode": "358","currency": "EUR","currencyName": "Euro"}
        ]
        
        def country(self):
            
        
        
        